# $Revision: 1.1 $, $Date: 2012/01/25 22:44:45 $
%define		pkg	abbrev
Summary:	Abbreviation calculator for Node.js
Name:		nodejs-%{pkg}
Version:	1.0.3
Release:	1
License:	MIT
Group:		Development/Libraries
URL:		https://github.com/isaacs/abbrev-js
Source0:	http://registry.npmjs.org/abbrev/-/abbrev-%{version}.tgz
# Source0-md5:	1f71ac1c233f52712018b60f9f926239
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Calculate the set of unique abbreviations for a given set of strings.

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}
cp -pr lib package.json $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{nodejs_libdir}/%{pkg}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nodejs-abbrev.spec,v $
Revision 1.1  2012/01/25 22:44:45  glen
- initial node pkgs for npm deps
  based on specs from http://nodejs.tchol.org/ repo
